#ifndef MOLECULAR_ITERATOR_H
#define MOLECULAR_ITERATOR_H

#ifndef DBC_H
#include "DbC.h"
#endif


// Set molecular_mark to atoms found.

namespace MM
{
class Atom;

class Molecular_iterator : protected DbC
{
public:
    virtual Atom &          current() =0;
    virtual const Atom &    current() const =0;
    virtual void            next() =0;
    virtual bool            is_valid() =0;
    //virtual void            clear_mark() =0;
};

}//MM

#endif //MOLECULAR_ITERATOR_H
